
/* This file is part of MetaDOM
 * a generic bind package for the Document Object Model API.
 * Copyright (C) 2001  Luca Padovani <luca.padovani@cs.unibo.it>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * For more information, please visit the author's home page
 * http://www.cs.unibo.it/~lpadovan
 * or send an email to <luca.padovani@cs.unibo.it>
 * 
 * DO NOT EDIT: this file has been generated automatically by MetaDOM
 */

#ifndef __GdomeSmartDOMMutationEvent_hh__
#define __GdomeSmartDOMMutationEvent_hh__


#include "GdomeSmartDOMEvent.hh"


namespace GdomeSmartDOM {

class MutationEvent
: public Event
{
public:
  MutationEvent(GdomeMutationEvent*);
  MutationEvent(const MutationEvent&);
  MutationEvent(const Event&);
  
  ~MutationEvent();

  MutationEvent& operator=(const MutationEvent&);
  bool operator==(const MutationEvent&) const;
  bool operator!=(const MutationEvent& obj) const { return !(*this == obj); }
  
  
  enum attrChangeType {
    MODIFICATION = 1,
    ADDITION = 2,
    REMOVAL = 3
  };


  // Attributes
  
  class Node get_relatedNode(void) const;
  class DOMString get_prevValue(void) const;
  class DOMString get_newValue(void) const;
  class DOMString get_attrName(void) const;
  unsigned short get_attrChange(void) const;
  
  // Methods
  void initMutationEvent(const class DOMString&, const bool, const bool, const class Node&, const class DOMString&, const class DOMString&, const class DOMString&, const unsigned short) const;
  

  // Friend classes
  
  friend class Document;
  
};

}

#endif // __GdomeSmartDOMMutationEvent_hh__

